#import "Controller.h"
#import "MIDI.h"

@implementation Controller

- (void) awakeFromNib{
	[self open:NSApp];
}

- (IBAction)open:(id)sender{
	NSOpenPanel *open = [NSOpenPanel openPanel];
	NSSavePanel *save = [NSSavePanel savePanel];
	MIDI *mid;
	
	if( [open runModalForTypes:nil] == NSCancelButton )
		return;
	
	if( [save runModal] == NSCancelButton )
		return;
	
	mid = [[MIDI alloc] initWithIn:[[open filenames] objectAtIndex:0] out:[save filename]];
	[mid writeFile];
	[mid release];
}

@end
